﻿var type= new Array();
type['Surface'] = new Array();
type['Longueur'] = new Array();
type['Puissance'] = new Array();
type['Vélocité'] = new Array();
type['Pression'] = new Array();
type['Énergie'] = new Array();
type['Fréquence'] = new Array();

type['Surface']['m²'] = 1;
type['Surface']['pouces²'] = 1550;
type['Surface']['pieds²'] = 10.76;
type['Surface']['verges²'] = 1.196;
type['Surface']['rods²'] = 0.0395;
type['Surface']['chains²'] = 0.00247;
type['Surface']['roods'] = 0.00098;
type['Surface']['acres'] = 0.00024;
type['Surface']['miles²'] = 0.03861/100000;

type['Longueur']['cms'] = 1;
type['Longueur']['pouces'] = 0.3937;
type['Longueur']['pieds'] = 0.03281;
type['Longueur']['verges'] = 0.01094;
type['Longueur']['mètres'] = 0.01;
type['Longueur']['chaines'] = 0.00049;
type['Longueur']['kms'] = 0.00001;
type['Longueur']['miles'] = 0.06214/10000;

type['Puissance']['Hp Impérial'] = 1;
type['Puissance']['Hp Métrique'] = 0.74570;
type['Puissance']['Kilowatt'] = 1.014;
type['Puissance']['Poncelets'] = 0.7604;
type['Puissance']['Kg-m/sec'] = 76.04;
type['Puissance']['Pieds-lbs/sec'] = 550;
type['Puissance']['Kcal/sec'] = 0.1781;
type['Puissance']['Btu/sec'] = 0.70680;

type['Vélocité']['cm/sec'] = 1;
type['Vélocité']['m/sec'] = 0.01;
type['Vélocité']['m/min'] = 0.6;
type['Vélocité']['km/hr'] = 0.036;
type['Vélocité']['pieds/sec'] = 0.03281;
type['Vélocité']['pieds/min'] = 1.9685;
type['Vélocité']['miles/hr'] = 0.02237;
type['Vélocité']['noeuds'] = 0.01944;

type['Pression']['mégadynes/cm2'] = 1;
type['Pression']['kg/cm2'] = 1.01970;
type['Pression']['lb/po2 '] = 14.5;
type['Pression']['atmos-phères'] =  0.9869;
type['Pression']['Mètres de Hg*'] = 0.7501;
type['Pression']['Pouces deHg*'] =  29.53;
type['Pression']['Mètres d\'H2O*'] = 10.21;
type['Pression']['Pouces d\'H2O*'] = 401.8;
type['Pression']['Pieds d\'H2O'] = 33.49;

type['Énergie']['Joules'] = 1;
type['Énergie']['Kg-mètres'] = 0.10197;
type['Énergie']['Kg-mètres'] = 0.10197;
type['Énergie']['lbs-pieds'] = 0.7376;
type['Énergie']['Kw-hr'] = 0.02778/100000;
type['Énergie']['Hp-hr Métrique'] = 0.03777/100000;
type['Énergie']['Hp-hr Impérial US'] = 0.03725/100000;
type['Énergie']['Litre-atm'] = 0.00986;
type['Énergie']['K-cal'] = 0.02388/100;
type['Énergie']['Btu'] = 0.09478/100;

type['Fréquence']['Fréquence/sec'] = 1;
type['Fréquence']['Fréquence/min'] = 60;
type['Fréquence']['Fréquence/heure'] = 3600;

var lastType='';
function view_onOpen() {
	var i=0;
	for(var TypeName in type)
	{
		if(valtype.value=='')
			valtype.value = TypeName;
		valtype.insertStringAt(TypeName,i++);
	}
	valtype.selectedIndex=0;
	typeChange();
	ParseToFloat();
}
valDepart.onchange = Convert;
view.onmouseover = typeChange;
view.onmouseout = typeChange;
valtype.onchange = typeChange;
view.onclick = typeChange;
view.onkeypress = typeChange;
uniteDepart.onkeypress = typeChange;
uniteArrivee.onkeypress = typeChange;
uniteDepart.onmouseout = typeChange;
uniteArrivee.onmouseout = typeChange;
uniteDepart.onmouseover = typeChange;
uniteArrivee.onmouseover = typeChange;
valDepart.onmouseout = typeChange;
valDepart.onmouseover = typeChange;



function getType()
{
	return valtype.value;
}
function typeChange()
{
	if(lastType==getType())
		return Convert();
	currentType = type[getType()];
	uniteDepart.removeAllElements();
	uniteArrivee.removeAllElements();
	var i=0;
	for(var Unite in currentType)
	{
		if(i==0)	
			uniteDepart.value = Unite;
		if(i==1)	
			uniteArrivee.value = Unite;
		uniteDepart.insertStringAt(Unite,i);
		uniteArrivee.insertStringAt(Unite,i);
		i++;
	}
	uniteDepart.selectedIndex= 0;
	uniteArrivee.selectedIndex = 1;
	Convert();
	lastType = getType();
}
function ParseToFloat()
{

	var valeur = valDepart.value;
	if(valeur=='')
	{
		valeur = 0;
		valDepart.value= valeur;
	}
	if(parseFloat(valeur)!=valeur)
	{
	
		valDepart.value = valDepart.value.substring(0,valDepart.value.length-1);
		ParseToFloat(valDepart);
	}
	else
	{
		if(valDepart.value.length>=2)
			if(valDepart.value.substring(0,1)=='0' && valDepart.value.substring(1,2)!='.')
		valDepart.value = valDepart.value.substring(1);
	
	}
}

function Convert()
{
	ParseToFloat();
	var valeur = valDepart.value;
	
	var txDepart = type[getType()][getUniteDepart()];
	var txArrivee = type[getType()][getUniteArrivee()];
	valeur = valeur * txArrivee / txDepart;
	valeur = parseFloat(valeur);

	valArrivee.innerText = valeur+" "+getUniteArrivee();
}

function getUniteDepart()
{
	return uniteDepart.value;
}

function getUniteArrivee()
{
	return uniteArrivee.value;
}